Opened 9 years ago

Closed 8 years ago

Last modified 8 years ago

#9616 closed Bug Report - General (Invalid)

Unable to record channel - DTVRec(1) Error: PES start code not found in TS packet with PUSI set

Reported by: jarlethorsen@… Owned by: Janne Grunau
Priority: major Milestone: unknown
Component: MythTV - DVB Version: 0.24-fixes
Severity: high Keywords:
Cc: Stuart Auchterlonie Ticket locked: no

Description

The channel "TV Norge HD" which I get on dvb-s2 at 0,8W is changing to a new transponder. I have no problems tuning to the old channel that is still there (however it does not contain EPG anymore), but when try to tune to the new channel I get LMSC, but no picture. In the backend log I see a lot of "2011-02-26 19:53:48.697 DTVRec(1) Error: PES start code not found in TS packet with PUSI set"

I'm guessing this bug might be related to http://svn.mythtv.org/trac/ticket/8028

I'm running latest 0.24-fixes (as of today), and all channels has been scanned using mythtv-setup.

Please let me know if there is any additional debugging I should do...

I have attached backend log from changing to the new channel in live tv mode.

Attachments (2)

error.log (2.8 KB) - added by jarlethorsen@… 9 years ago.
backend log
PESdebug.diff (1.1 KB) - added by robertm 8 years ago.
Show PES Start Code when it is not 00 00 01

Download all attachments as: .zip

Change History (9)

Changed 9 years ago by jarlethorsen@…

Attachment: error.log added

backend log

comment:1 Changed 9 years ago by olafurh@…

I have the same problem and im tuning into both Astra 28° and Thor 1°

2011-02-28 12:03:31.116 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.157 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.199 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.248 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.291 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.340 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.383 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.432 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.474 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.516 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.567 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.616 DTVRec(32) Error: PES start code not found in TS packet with PUSI set 2011-02-28 12:03:31.666 DTVRec(32) Error: PES start code not found in TS packet with PUSI set

comment:2 Changed 9 years ago by dlknight@…

I'm also seeing this in the UK when attempting to tune to DVB-S2 channels on Astra (CH4 HD, Five HD, Luxe HD) - I can also provide logs or debugging if requested.

comment:3 Changed 9 years ago by Stuart Auchterlonie

Cc: Stuart Auchterlonie added

comment:4 Changed 8 years ago by robertm

Status: newinfoneeded_new

Could either of you please apply this debugging patch and provide logs against current master?

-v record,channel,siparser

Changed 8 years ago by robertm

Attachment: PESdebug.diff added

Show PES Start Code when it is not 00 00 01

comment:5 Changed 8 years ago by dlknight@…

Sorry for the late response but my issue was down to third party plugin software and not mythtv and has now been resolved.

comment:6 Changed 8 years ago by robertm

Resolution: Invalid
Status: infoneeded_newclosed

comment:7 Changed 8 years ago by nick@…

Here's the output with the PESdebug.diff applied against 0.24-fixes branch of today. I suspect encrypted packets might be slipping through the net here:

2011-09-09 16:51:34.872 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:34.959 DTVRec(7) Error: PES start code was [-16][-43][73]
2011-09-09 16:51:35.044 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:35.249 DTVRec(7) Error: PES start code was [26][8][-73]
2011-09-09 16:51:35.416 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:35.500 DTVRec(7) Error: PES start code was [-50][116][3]
2011-09-09 16:51:35.584 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:35.692 DTVRec(7) Error: PES start code was [-113][-46][-95]
2011-09-09 16:51:35.801 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:35.885 DTVRec(7) Error: PES start code was [61][92][-87]
2011-09-09 16:51:36.053 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:36.161 DTVRec(7) Error: PES start code was [111][88][64]
2011-09-09 16:51:36.275 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:36.377 DTVRec(7) Error: PES start code was [-77][101][-102]
2011-09-09 16:51:36.463 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:36.618 DTVRec(7) Error: PES start code was [37][91][26]
2011-09-09 16:51:36.726 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:36.798 DTVRec(7) Error: PES start code was [38][-29][74]
2011-09-09 16:51:36.870 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:36.956 DTVRec(7) Error: PES start code was [-30][11][-54]
2011-09-09 16:51:37.028 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.100 DTVRec(7) Error: PES start code was [-42][-45][107]
2011-09-09 16:51:37.173 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.244 DTVRec(7) Error: PES start code was [-128][-74][65]
2011-09-09 16:51:37.330 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.413 DTVRec(7) Error: PES start code was [122][-123][-123]
2011-09-09 16:51:37.497 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.578 DTVRec(7) Error: PES start code was [122][83][-45]
2011-09-09 16:51:37.679 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.761 DTVRec(7) Error: PES start code was [29][89][108]
2011-09-09 16:51:37.846 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:37.930 DTVRec(7) Error: PES start code was [-55][50][100]
2011-09-09 16:51:38.014 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:38.098 DTVRec(7) Error: PES start code was [90][-21][-5]
2011-09-09 16:51:38.183 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:38.266 DTVRec(7) Error: PES start code was [-98][-85][5]
2011-09-09 16:51:38.351 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:38.435 DTVRec(7) Error: PES start code was [105][-8][-20]
2011-09-09 16:51:38.519 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:38.603 DTVRec(7) Error: PES start code was [127][-102][-105]
2011-09-09 16:51:38.735 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:38.867 DTVRec(7) Error: PES start code was [118][0][-86]
2011-09-09 16:51:38.952 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.060 DTVRec(7) Error: PES start code was [101][-107][-51]
2011-09-09 16:51:39.145 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.228 DTVRec(7) Error: PES start code was [-21][104][43]
2011-09-09 16:51:39.313 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.396 DTVRec(7) Error: PES start code was [-56][-101][105]
2011-09-09 16:51:39.481 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.564 DTVRec(7) Error: PES start code was [50][-73][-96]
2011-09-09 16:51:39.649 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.733 DTVRec(7) Error: PES start code was [-35][63][-8]
2011-09-09 16:51:39.841 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:39.923 DTVRec(7) Error: PES start code was [-92][83][68]
2011-09-09 16:51:40.033 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.141 DTVRec(7) Error: PES start code was [117][-4][68]
2011-09-09 16:51:40.226 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.310 DTVRec(7) Error: PES start code was [34][-94][19]
2011-09-09 16:51:40.394 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.478 DTVRec(7) Error: PES start code was [46][-101][96]
2011-09-09 16:51:40.563 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.646 DTVRec(7) Error: PES start code was [6][66][99]
2011-09-09 16:51:40.731 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.815 DTVRec(7) Error: PES start code was [55][-48][-62]
2011-09-09 16:51:40.899 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:40.983 DTVRec(7) Error: PES start code was [70][-111][31]
2011-09-09 16:51:41.066 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:41.199 DTVRec(7) Error: PES start code was [65][107][-75]
2011-09-09 16:51:41.308 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:41.391 DTVRec(7) Error: PES start code was [47][0][-8]
2011-09-09 16:51:41.476 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:41.560 DTVRec(7) Error: PES start code was [108][-53][-89]
2011-09-09 16:51:41.644 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:41.728 DTVRec(7) Error: PES start code was [-3][-17][114]
2011-09-09 16:51:41.813 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:41.896 DTVRec(7) Error: PES start code was [126][126][85]
2011-09-09 16:51:41.983 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:42.065 DTVRec(7) Error: PES start code was [-14][-121][113]
2011-09-09 16:51:42.221 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:42.401 DTVRec(7) Error: PES start code was [40][-31][-95]
2011-09-09 16:51:42.510 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:42.593 DTVRec(7) Error: PES start code was [-121][15][105]
2011-09-09 16:51:42.678 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:42.762 DTVRec(7) Error: PES start code was [-67][-109][-42]
2011-09-09 16:51:42.846 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:42.942 DTVRec(7) Error: PES start code was [-103][42][-62]
2011-09-09 16:51:43.038 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:43.134 DTVRec(7) Error: PES start code was [-48][-48][-85]
2011-09-09 16:51:43.231 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:43.326 DTVRec(7) Error: PES start code was [-89][-13][2]
2011-09-09 16:51:43.471 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:43.675 DTVRec(7) Error: PES start code was [-117][-101][113]
2011-09-09 16:51:43.784 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:43.879 DTVRec(7) Error: PES start code was [27][62][32]
2011-09-09 16:51:43.976 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:44.072 DTVRec(7) Error: PES start code was [61][-33][-18]
2011-09-09 16:51:44.204 DTVRec(7) Error: PES start code not found in TS packet with PUSI set
2011-09-09 16:51:44.302 DTVRec(7) Error: PES start code was [-103][71][-13]


Note: See TracTickets for help on using tickets.